Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 188406 - JSTL core tag library not recognized when running file.
JSTL core tag library not recognized when running file.
Status: RESOLVED WORKSFORME
Product: javaee
Classification: Unclassified
Component: Web Project
6.x
PC Mac OS X
: P3 (vote)
: 7.2
Assigned To: David Konecny
issues@javaee
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-06 14:09 UTC by Troy Giunipero
Modified: 2012-04-16 22:56 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
tries to use JSTL core library (17.56 KB, application/x-sdlc)
2010-07-06 14:09 UTC, Troy Giunipero
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Troy Giunipero 2010-07-06 14:09:44 UTC
Created attachment 100622 [details]
tries to use JSTL core library

[ NetBeans IDE 6.9 & GlassFish 3.0.1 release ]


1. Run attached project - works ok.
2. In Projects window, right-click 'index.jsp' and choose Run File. The following error results:

org.apache.jasper.JasperException: index.jsp(7,61) PWC6188: The absolute uri: http://java.sun.com/jsp/jstl/core cannot be resolved in either web.xml or the jar files deployed with this application
Comment 1 Vince Kraemer 2010-07-06 17:45:11 UTC
I can replicate this issue with the dev build and 3.1 bits...

It looks like libs.jsp-compiler.classpath and libs.jsp-compilation.classpath are not defined in a web app project so the compilation fails.
Comment 2 Vince Kraemer 2010-07-07 14:22:14 UTC
I retargeted a Java EE 5 version of the app to Tomcat and it did not run at all...

This exception appeared in the browser...


org.apache.jasper.JasperException: The absolute uri: http://java.sun.com/jsp/jstl/core cannot be resolved in either web.xml or the jar files deployed with this application
	org.apache.jasper.compiler.DefaultErrorHandler.jspError(DefaultErrorHandler.java:51)
	org.apache.jasper.compiler.ErrorDispatcher.dispatch(ErrorDispatcher.java:409)
	org.apache.jasper.compiler.ErrorDispatcher.jspError(ErrorDispatcher.java:116)
	org.apache.jasper.compiler.TagLibraryInfoImpl.generateTLDLocation(TagLibraryInfoImpl.java:315)
	org.apache.jasper.compiler.TagLibraryInfoImpl.<init>(TagLibraryInfoImpl.java:148)
	org.apache.jasper.compiler.Parser.parseTaglibDirective(Parser.java:383)
	org.apache.jasper.compiler.Parser.parseDirective(Parser.java:446)
	org.apache.jasper.compiler.Parser.parseElements(Parser.java:1393)
	org.apache.jasper.compiler.Parser.parse(Parser.java:130)
	org.apache.jasper.compiler.ParserController.doParse(ParserController.java:255)
	org.apache.jasper.compiler.ParserController.parse(ParserController.java:103)
	org.apache.jasper.compiler.Compiler.generateJava(Compiler.java:185)
	org.apache.jasper.compiler.Compiler.compile(Compiler.java:347)
	org.apache.jasper.compiler.Compiler.compile(Compiler.java:327)
	org.apache.jasper.compiler.Compiler.compile(Compiler.java:314)
	org.apache.jasper.JspCompilationContext.compile(JspCompilationContext.java:589)
	org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:317)
	org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:313)
	org.apache.jasper.servlet.JspServlet.service(JspServlet.java:260)
	javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
	org.netbeans.modules.web.monitor.server.MonitorFilter.doFilter(MonitorFilter.java:393)
Comment 3 fortruth 2010-10-27 10:11:07 UTC
I also have the problem, in netbeans 6.9.1

And I found the reason is the jstl lib was not include to jave web project.

when you create an new javeweb project, you need adding the jstl lib to your project manually.

then at the jsp file, the taglib and uri can have the help popup .

but I don't know if it necessary that when a new javaweb project created, also the jstl lib must be included. If yes, I think may be someone can fixed this problem easily.
Comment 4 David Konecny 2012-04-16 22:56:18 UTC
I just retested the original test case on

Product Version: NetBeans IDE Dev (Build 20120413-30608bf6ba9c)
Java: 1.6.0_26; Java HotSpot(TM) 64-Bit Server VM 20.1-b02
System: Linux version 3.0.0-17-generic running on amd64; UTF-8; en_NZ (nb)

with GlassFish 3.1.1 and everything works fine.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo